import type React from 'react';
import type { FlatListProps, StyleProp, ViewStyle } from 'react-native';
export declare type PageScrollViewProps = Omit<FlatListProps<unknown>, 'ListFooterComponentStyle' | 'ListFooterComponent' | 'data' | 'renderItem' | 'style' | 'keyExtractor'> & {
    /** Shortcut to apply the backgroundColor to the `style`. */
    backgroundColor?: string;
    /** The style of the View that wraps your children. Use this for styles such as paddings and
     * background color. */
    style?: StyleProp<ViewStyle>;
    children?: React.ReactNode;
};
export declare function PageScrollView({ backgroundColor, contentContainerStyle, children, style, ...rest }: PageScrollViewProps): JSX.Element;
